package com.platform.modules.live.entity;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * 
 * @author TONG
 * @email ${email}
 * @date 2019-03-15 21:04:50
 */
@TableName("live_stream_record_task")
public class LiveStreamRecordTaskEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Long id;
	/**
	 * 视频id
	 */
	private String videoId;
	/**
	 * 域名
	 */
	private String domainName;
	/**
	 * app名称
	 */
	private String appName;
	/**
	 * 流名称
	 */
	private String streamName;
	/**
	 * 录制开始时间
	 */
	private Date recordStartTime;
	/**
	 * 录制结束时间
	 */
	private Date recordEndTime;
	/**
	 * 转码开始时间
	 */
	private Date startTime;
	/**
	 * 转码结束时间
	 */
	private Date endTime;
	/**
	 * 是否转码成功
	 */
	private Integer isOk;

	/**
	 * 设置：
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：视频id
	 */
	public void setVideoId(String videoId) {
		this.videoId = videoId;
	}
	/**
	 * 获取：视频id
	 */
	public String getVideoId() {
		return videoId;
	}
	/**
	 * 设置：域名
	 */
	public void setDomainName(String domainName) {
		this.domainName = domainName;
	}
	/**
	 * 获取：域名
	 */
	public String getDomainName() {
		return domainName;
	}
	/**
	 * 设置：app名称
	 */
	public void setAppName(String appName) {
		this.appName = appName;
	}
	/**
	 * 获取：app名称
	 */
	public String getAppName() {
		return appName;
	}
	/**
	 * 设置：流名称
	 */
	public void setStreamName(String streamName) {
		this.streamName = streamName;
	}
	/**
	 * 获取：流名称
	 */
	public String getStreamName() {
		return streamName;
	}
	/**
	 * 设置：录制开始时间
	 */
	public void setRecordStartTime(Date recordStartTime) {
		this.recordStartTime = recordStartTime;
	}
	/**
	 * 获取：录制开始时间
	 */
	public Date getRecordStartTime() {
		return recordStartTime;
	}
	/**
	 * 设置：录制结束时间
	 */
	public void setRecordEndTime(Date recordEndTime) {
		this.recordEndTime = recordEndTime;
	}
	/**
	 * 获取：录制结束时间
	 */
	public Date getRecordEndTime() {
		return recordEndTime;
	}
	/**
	 * 设置：转码开始时间
	 */
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	/**
	 * 获取：转码开始时间
	 */
	public Date getStartTime() {
		return startTime;
	}
	/**
	 * 设置：转码结束时间
	 */
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	/**
	 * 获取：转码结束时间
	 */
	public Date getEndTime() {
		return endTime;
	}
	/**
	 * 设置：是否转码成功
	 */
	public void setIsOk(Integer isOk) {
		this.isOk = isOk;
	}
	/**
	 * 获取：是否转码成功
	 */
	public Integer getIsOk() {
		return isOk;
	}
}
